// aplDateTimeCtrl.cpp : implementation file
//

#include "stdafx.h"
#include "apl_gui.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CaplDateTimeCtrl

CaplDateTimeCtrl::CaplDateTimeCtrl()
{
	bDropDown = false;
}

CaplDateTimeCtrl::~CaplDateTimeCtrl()
{
}


BEGIN_MESSAGE_MAP(CaplDateTimeCtrl, CDateTimeCtrl)
	//{{AFX_MSG_MAP(CaplDateTimeCtrl)
	ON_NOTIFY_REFLECT(DTN_DATETIMECHANGE, OnDatetimechange)
	ON_NOTIFY_REFLECT(DTN_DROPDOWN, OnDropdown)
	ON_NOTIFY_REFLECT(DTN_CLOSEUP, OnCloseup)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CaplDateTimeCtrl message handlers

void CaplDateTimeCtrl::OnDatetimechange(NMHDR* pNMHDR, LRESULT* pResult) 
{
	// TODO: Add your control notification handler code here
	if(!bDropDown && GetAsyncKeyState(VK_UP)==0 && GetAsyncKeyState(VK_DOWN)==0)
		SendMessage(WM_KEYDOWN, VK_RIGHT, 0);
	*pResult = 0;
}


void CaplDateTimeCtrl::OnDropdown(NMHDR* pNMHDR, LRESULT* pResult) 
{
	// TODO: Add your control notification handler code here
	bDropDown = true;
	*pResult = 0;
}

void CaplDateTimeCtrl::OnCloseup(NMHDR* pNMHDR, LRESULT* pResult) 
{
	// TODO: Add your control notification handler code here
	bDropDown = false;
	*pResult = 0;
}
